{% extends 'base.html' %}

<!-- Provides the title of the page to be provided in the template -->
<!-- This should correspond with the block name provided in the base.html -->
{% block title %} Home {% endblock %}

{% block content %}
    {% if todoitem_list and user.is_anonymous == False %}
        <h1 class="text-center my-3">Welcome {{ user.first_name }} {{user.last_name}}!</h1>
        <div class="containter">
            <div class = "row">
                <h3 class="text-center mb-3">My Task</h3>
                <ul class="list-group col-lg-2 offset-lg-5 text-center">
                {% for todoitem in todoitem_list %}
                    <li><a href="{% url 'todolist:viewtodoitem' todoitem.id %}">{{ todoitem.task_name }}</a></li>
                {% endfor %}
                </ul>
            </div>

            <div class = "row">
                <h3 class="text-center mb-3">My Events</h3>
                <ul class="list-group col-lg-2 offset-lg-5 text-center">
                {% if events_list and user.is_anonymous == False %}
                {% for events in events_list %}
                    <li><a href="{% url 'todolist:viewevents' events.id %}">{{ events.event_name }}</a></li>
                {% endfor %}
                {% else %}
                    <p>No event have been created.</p>
                {% endif %}
                </ul>
            </div>
        </div>       
    {% elif user.is_anonymous == True %}
        <h1 class="text-center my-3">You are not authorized to access this page.</h1>
        <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
    {% else %}
        <p>No tasks have been created.</p>
    {% endif %}
{% endblock %}